using UnityEngine;
using System.Collections;

public class PregnancyPositionAdjuster : MonoBehaviour {
    public Transform Pregnancy;
    public Vector3 Idle1 = new Vector3(0, .091f, 0);
    public Vector3 Idle2 = new Vector3(0, .101f, 0);
    public Vector3 Move = new Vector3(0, .171f, 0);
    private Animatable anim;

	void Start () {
        anim = GetComponent<Animatable>();
	}
	
	void Update () {
        if (anim.GetCurrentAnimationFrame() == "Idle.0")
            Pregnancy.localPosition = Idle1;
        else if (anim.GetCurrentAnimationFrame() == "Idle.1")
            Pregnancy.localPosition = Idle2;
        else if (anim.GetCurrentAnimationFrame() == "Move.0")
            Pregnancy.localPosition = Move;
	}
}
